RadioLib Universal wireless communication library for Arduino

Public Attributes | List of all members
LoRaWANChannelSpan_t Struct Reference

Structure to save information about LoRaWAN channels. To save space, adjacent channels are saved in "spans". More...

`#include <LoRaWAN.h>`

## Public Attributes
uint8_t | direction
| Whether this channel span is for uplink, downlink, or both directions.
uint8_t | joinRequestDataRate
| Allowed data rates for a join request message.
uint8_t | numChannels
| Total number of channels in the span.
float | freqStart
| Center frequency of the first channel in span.
float | freqStep
| Frequency step between adjacent channels.
uint8_t | dataRates [RADIOLIB_LORAWAN_CHANNEL_NUM_DATARATES]
| Array of datarates supported by all channels in the span.

## Detailed Description

Structure to save information about LoRaWAN channels. To save space, adjacent channels are saved in "spans".

The documentation for this struct was generated from the following file:

- src/protocols/LoRaWAN/LoRaWAN.h